const mutations = {
   updateSlices(state, obj) {
      return state.slice_info = obj.slice_info;
    },
    updateUes(state, obj) {
      return state.ue_list = obj.ue_list;
    } ,
    addUes(state, obj) {
      return state.ue_nums += 1;
    } ,
    updatePrbs(state, obj) {
      obj.prb_info=resize_(obj.prb_info)
       if(state.prb_info.length==30){

         state.prb_info.shift();

       }
      return state.prb_info.push(obj.prb_info);
    }
   }
   const resize_ = (arr)=>{
     for(let i=0;i<3;i++){
      arr.unshift(arr.pop());
     }
     return arr
   }
   export default mutations;